Bug 707412 - PCSCD filling /var/log/messages
Summary: PCSCD filling /var/log/messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcsc-lite
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-25 00:06 UTC by Vincent passaro
Modified: 2011-06-03 05:31 UTC (History)
3 users (show)

Fixed In Version: pcsc-lite-1.6.4-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-29 23:22:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Vincent passaro 2011-05-25 00:06:41 UTC
Description of problem: PCSCD filling /var/log/messages.  Files grow till /var/log is full. 


Version-Release number of selected component (if applicable):

pcsc-lite-ccid-1.4.3-1.fc15.x86_64
pcsc-perl-1.4.10-2.fc15.x86_64
pcsc-tools-1.4.17-2.fc15.x86_64
pcsc-lite-1.7.2-1.fc15.x86_64
pcsc-lite-libs-1.7.2-1.fc15.x86_64

How reproducible: Consistently. 


Steps to Reproduce:
1. Configured Firefox to use SmartCard for authentication
2. Started pcscd service
3. Excessive logging occurs.
  
Actual results: High number of messages being sent from pcscd to /var/log/messages


Expected results: PCSCD would only log to /var/log/messages for pertinent information. 


Additional info:

--- /var/log/messages


May 24 16:54:54 localhost pcscd: winscard.c:290:SCardConnect() Card Not Inserted
May 24 16:54:54 localhost pcscd: winscard_svc.c:447:ContextThread() CONNECT rv=0x8010000C for client 4
May 24 16:54:55 localhost pcscd: winscard.c:290:SCardConnect() Card Not Inserted
May 24 16:54:55 localhost pcscd: winscard_svc.c:447:ContextThread() CONNECT rv=0x8010000C for client 4
May 24 16:54:56 localhost pcscd: winscard.c:290:SCardConnect() Card Not Inserted
May 24 16:54:56 localhost pcscd: winscard_svc.c:447:ContextThread() CONNECT rv=0x8010000C for client 4
May 24 16:54:57 localhost pcscd: winscard.c:290:SCardConnect() Card Not Inserted
May 24 16:54:57 localhost pcscd: winscard_svc.c:447:ContextThread() CONNECT rv=0x8010000C for client 4

Comment 1 Kalev Lember 2011-05-25 03:31:05 UTC
Thanks Vincent, we'll get this sorted out shortly.

Comment 2 Kalev Lember 2011-05-25 03:36:27 UTC
Ludovic: In addition to the log level patch in bug #657658, could you also apply this one? I'll then backport both patches to Fedora.

--- winscard.c	(revision 5765)
+++ winscard.c	(working copy)
@@ -287,7 +287,7 @@
 	{
 		if (!(readerState & SCARD_PRESENT))
 		{
-			Log1(PCSC_LOG_ERROR, "Card Not Inserted");
+			Log1(PCSC_LOG_DEBUG, "Card Not Inserted");
 			return SCARD_E_NO_SMARTCARD;
 		}

Comment 3 Vincent passaro 2011-05-25 06:59:20 UTC
Just on an added side note.  When using VMware workstation on Fedora 15 and you present the card reader into the VM the system logs the same errors at an obnoxious level, almost to the point of completely taxing a SSD drive and freezing the system.

Comment 4 Ludovic Rousseau 2011-05-25 07:42:36 UTC
(In reply to comment #2)
> Ludovic: In addition to the log level patch in bug #657658, could you also
> apply this one? I'll then backport both patches to Fedora.

Fixed in revision 5766.
Thanks

Comment 5 Fedora Update System 2011-05-25 08:13:01 UTC
pcsc-lite-1.7.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pcsc-lite-1.7.2-2.fc15

Comment 6 Fedora Update System 2011-05-25 08:13:17 UTC
pcsc-lite-1.6.4-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pcsc-lite-1.6.4-4.fc14

Comment 7 Fedora Update System 2011-05-25 18:52:42 UTC
Package pcsc-lite-1.7.2-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcsc-lite-1.7.2-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/pcsc-lite-1.7.2-2.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-05-29 23:22:49 UTC
pcsc-lite-1.7.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-06-03 05:31:03 UTC
pcsc-lite-1.6.4-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.